Bio::Graph::IO::dip(3)

NAME
Bio::Graph::IO::dip - class for parsing interaction data in dip format

SYNOPSIS
Do not use this module directly, use Bio::Graph::IO, for example:

  my $graph_io = Bio::Graph::IO->new(-format => 'dip',
                                     -file   => 'data.dip');

METHODS
The naming system is analagous to the SeqIO system, although usually next_network() will be called only once per file.

  next_network
  name        : next_network
  purpose     : parses a graph file and returns a Bio::Graph::ProteinGraph object
  usage       : my $g = $graph_io->next_network();
  arguments   : none
  returns     : a a Bio::Graph::ProteinGraph object

  write_network
 name     : write_network
 purpose  : write graph out in dip format
 arguments: a Bio::Graph::ProteinGraph object
 returns  : void
 usage    : $out->write_network($gr);